Can't find namespace "initialize on load"

October 7, 2021 - 3:03am #1

Vuforia SDK Version: 10.2.5 -

Log in or register to post comments

Camera Black Screen on Android 11

SDK 10.0
August 31, 2021 - 5:29pm #1
Topic solved

I get black screen on my phone's camera every time I build for Android 11 even though I had accepted the permission to access the camera. The build was fine

for Android version 10 and below. So, is this a bug for Android 11 or I just missed something here?

Thank you for the help.

 

 

 

 

 

 

 

 

 

 

PS: Sorry for my bad english this is my first time posting here.

Log in or register to post comments

The variable 'e' is declared but never used vuforia

August 31, 2021 - 12:21am #1

Vuforia SDK Version: 10.1.4 -

Description with steps to reproduce: I get a warning when importing: The variable 'e' is declared but never used vuforia
This happens when adding the SDK directly or through the asset store -

Development OS (Mac OS X, Windows, Linux): Windows -

Mobile OS and Version: Android -

Mobile Device Manufacturer and Model name: 0 -

Do the Vuforia Sample Applications show the same behavior?:

Log in or register to post comments

(SOLVED) 'Black camera screen' after AR Android build

August 30, 2021 - 10:37am #1
Topic solved

Vuforia SDK Version: 10.1.4 -

Description with steps to reproduce: Hi This seems like a common issue but I cant find a fix anywhere?? I've recently installed Unity 2020.3.17f1 and the latest Vuforia I set up a simple scene with Vuforia camera, Image target with my own model, and build it onto my android phone. I open the app, it shows the Unity logo, then screen just stays black. I never used to get this issue with older 2018/19 Unity, and older Vuforia builds. Any help is appreciated, as I've checked countless old threads with no fix -

Log in or register to post comments

Post Processing and Videplayer Black Screen Issue

SDK 10.0
August 24, 2021 - 4:04am #1

Hi, 

Log in or register to post comments

Warnings in AddVuforiaEnginePackage.cs

August 19, 2021 - 10:43am #1

Vuforia SDK Version: 9.x through 10.x -

Description with steps to reproduce: Since at least 9.x; the AddVuforiaEnginePackage.cs script generates an "unused variable e" warning around line 107:

static Version TryConvertStringToVersion(string versionString)
{
Version res;
try
{
res = new Version(versionString);
}
catch (Exception e) // {
return new Version();
}

Log in or register to post comments

V10 puts 420MB of binaries in source control...?

August 19, 2021 - 10:32am #1

Vuforia SDK Version: 10.0.12 -

Description with steps to reproduce: I just installed the 10.0.12 update (from 9.something) in Unity with the update package.

It has placed not one, but two copies of the 210MB com.ptc.vuforia.engine-10.0.12.tgz archive in the source controlled folders Packages/ and Assets/Editor/Migration/.

Log in or register to post comments

Can't download Device Database in Target Manager

August 19, 2021 - 7:04am #1

Vuforia SDK Version: 9.8 -

Description with steps to reproduce: Hey!

For the last few days i tried to download my device database with 7 object targets but it always fails to download it.
The "compiling database" message shows for a few minutes but after that it goes back to the Target Overview.
I also tried to add a new database and download the object targets but with the same error. Neither unity package nor visual studio development platform works. Using different browsers also didn't work. My internet speed shouldn't be the problem.

Log in or register to post comments

Compilation error?

August 17, 2021 - 2:06pm #1

Vuforia SDK Version: 10 -

Description with steps to reproduce: Hi!

How to solve this problem? Vuforia 10. I have tried different versions Unity.

Log in or register to post comments

Fail to initialize SmartTerrain with Android target API level 30

July 26, 2021 - 8:05am #1

Vuforia SDK Version: 9.8.11 -

Description with steps to reproduce: We have an AR game built on Unity with Vuforia. Everything worked fine until we tried to switch our target API to Android 30. This leads to the error "Unable to initialize SmartTerrain". This change is critical since Google force all apps to be on API 30 from august 1st.
Is this a known issue ? And is there some workaround to fix this ?
Thanks -

Development OS (Mac OS X, Windows, Linux): Windows -

Mobile OS and Version: Android 30 -

Log in or register to post comments